<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__board__libs" kind="group">
    <compoundname>group_board_libs</compoundname>
    <para><verbatim>embed:rst 
Light Sensor
------------
</verbatim></para>
    <innerclass prot="public" refid="structmtb__light__sensor__t">mtb_light_sensor_t</innerclass>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__board__libs_1gae86fdb18c398b5111501915a83fca1ed" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t mtb_light_sensor_init</definition>
        <argsstring>(mtb_light_sensor_t *light_sensor, cyhal_adc_t *adc_obj, cyhal_gpio_t pin)</argsstring>
        <name>mtb_light_sensor_init</name>
        <param>
          <type><ref kindref="compound" refid="structmtb__light__sensor__t">mtb_light_sensor_t</ref> *</type>
          <declname>light_sensor</declname>
        </param>
        <param>
          <type>cyhal_adc_t *</type>
          <declname>adc_obj</declname>
        </param>
        <param>
          <type>cyhal_gpio_t</type>
          <declname>pin</declname>
        </param>
        <briefdescription>
<para>Initialize the ADC communication with the light sensor. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="out">light_sensor</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to a Light Sensor object. The caller must allocate the memory for this object but the init function will initialize its contents. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">adc_obj</parametername>
</parameternamelist>
<parameterdescription>
<para>ADC instance to use for communicating with the light sensor. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">pin</parametername>
</parameternamelist>
<parameterdescription>
<para>The pin connected to the light sensor. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if properly initialized, else an error indicating what went wrong.</para></simplesect>
<para><verbatim>embed:rst 
.. note::
   The ADC initialization function, cyhal_adc_init(), must be called before this function is called. 
</verbatim></para>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="49" bodyfile="output/libs/COMPONENT_LIGHT/sensor-light/mtb_light_sensor.c" bodystart="41" column="1" file="output/libs/COMPONENT_LIGHT/sensor-light/mtb_light_sensor.h" line="59" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs_1gae8d7901ac044169d797b646887c661b1" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint8_t</type>
        <definition>uint8_t mtb_light_sensor_light_level</definition>
        <argsstring>(mtb_light_sensor_t *light_sensor)</argsstring>
        <name>mtb_light_sensor_light_level</name>
        <param>
          <type><ref kindref="compound" refid="structmtb__light__sensor__t">mtb_light_sensor_t</ref> *</type>
          <declname>light_sensor</declname>
        </param>
        <briefdescription>
<para>Returns the current light level. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">light_sensor</parametername>
</parameternamelist>
<parameterdescription>
<para>Light sensor instance. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>A percentage - a value between 0 (no light) and 100 (maximum measurable light). </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="68" bodyfile="output/libs/COMPONENT_LIGHT/sensor-light/mtb_light_sensor.c" bodystart="55" column="1" file="output/libs/COMPONENT_LIGHT/sensor-light/mtb_light_sensor.h" line="67" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs_1ga30cf1ecf58b8051c9666f846743f8082" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void mtb_light_sensor_free</definition>
        <argsstring>(mtb_light_sensor_t *light_sensor)</argsstring>
        <name>mtb_light_sensor_free</name>
        <param>
          <type><ref kindref="compound" refid="structmtb__light__sensor__t">mtb_light_sensor_t</ref> *</type>
          <declname>light_sensor</declname>
        </param>
        <briefdescription>
<para>Frees up any resources allocated by the light sensor as part of <ref kindref="member" refid="group__group__board__libs_1gae86fdb18c398b5111501915a83fca1ed">mtb_light_sensor_init()</ref>. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">light_sensor</parametername>
</parameternamelist>
<parameterdescription>
<para>Light sensor instance. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="77" bodyfile="output/libs/COMPONENT_LIGHT/sensor-light/mtb_light_sensor.c" bodystart="74" column="1" file="output/libs/COMPONENT_LIGHT/sensor-light/mtb_light_sensor.h" line="73" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Basic set of APIs for interacting with the light sensor. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>